/* eslint-disable @typescript-eslint/no-empty-interface */
// Generated code for namespace: concerto@1.0.0

// imports

// Warning: Beware of circular dependencies when modifying these imports
import type {
	IPostalAddress
} from './org.accordproject.address@0.2.0';
import type {
	IGeoCoordinates,
	IPlace,
	ICountry,
	ICountryCodeISOAlpha2
} from './org.accordproject.geo@0.2.0';

// Warning: Beware of circular dependencies when modifying these imports
import type {
	IOrganization
} from './org.accordproject.organization@0.2.0';

// interfaces
export interface IConcept {
   $class: string;
}

export type ConceptUnion = IPostalAddress | 
IGeoCoordinates | 
IPlace | 
ICountry | 
ICountryCodeISOAlpha2;

export interface IAsset extends IConcept {
   $identifier: string;
}

export interface IParticipant extends IConcept {
   $identifier: string;
}

export type ParticipantUnion = IOrganization;

export interface ITransaction extends IConcept {
   $timestamp: Date;
}

export interface IEvent extends IConcept {
   $timestamp: Date;
}

